package com.goafanti.ambSystem.service;

import com.goafanti.ambSystem.bo.InputAmbInvest;
import com.goafanti.ambSystem.bo.InputInvestList;
import com.goafanti.ambSystem.bo.OutInvestList;
import com.goafanti.ambSystem.bo.OutInvestLog;
import com.goafanti.common.model.AmbSystem;
import com.goafanti.core.mybatis.page.Pagination;

import java.util.List;

public interface AmbInvestService {
    int pushInvestTransfer(InputAmbInvest in);

    boolean checkMyAmb(Long myAmbId);

    Pagination<?> InvestList(InputInvestList in);

    List<OutInvestLog> InvestLog(String id);

    int updateInvestTransfer(InputAmbInvest in);

    int updateExamineTransfer(InputAmbInvest in);

    List<AmbSystem> getInvestAmbList(Long id);



}
